var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { FormItemDeepProvider, useDeepFormItem } from '@formily/antd';
import { createVirtualBox } from '@formily/react-schema-renderer';
import cls from 'classnames';
export var FormLayout = createVirtualBox('layout', function (props) {
    var inline = useDeepFormItem().inline;
    var isInline = props.inline || inline;
    var children = isInline || props.className || props.style ? (React.createElement("div", { className: cls(props.className, {
            'ant-form ant-form-inline': isInline
        }), style: props.style }, props.children)) : (props.children);
    return React.createElement(FormItemDeepProvider, __assign({}, props), children);
});
export default FormLayout;
