import React from 'react';
import { mapTextComponent, mapStyledProps, normalizeCol } from '@formily/antd';
import { SelectProps as AntSelectProps } from 'antd/lib/select';
export * from '@formily/shared';
export declare const compose: (...args: any[]) => (payload: any, ...extra: any[]) => any;
interface SelectOption {
    label: React.ReactText;
    value: any;
    [key: string]: any;
}
declare type SelectProps = AntSelectProps & {
    dataSource?: SelectOption[];
};
export declare const Select: React.FC<SelectProps>;
export declare const acceptEnum: (component: React.JSXElementConstructor<any>) => ({ dataSource, ...others }: {
    [x: string]: any;
    dataSource: any;
}) => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, any>) | (new (props: any) => React.Component<any, any, any>)> | React.FunctionComponentElement<any>;
export declare const transformDataSourceKey: (component: any, dataSourceKey: any) => ({ dataSource, ...others }: {
    [x: string]: any;
    dataSource: any;
}) => React.CElement<{}, React.Component<{}, any, any>>;
export declare const createMatchUpdate: (name: string, path: string) => (targetName: string, targetPath: string, callback: () => void) => void;
export { mapTextComponent, mapStyledProps, normalizeCol };
