"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_schema_renderer_1 = require("@formily/react-schema-renderer");
var radio_1 = __importDefault(require("antd/lib/radio"));
var shared_1 = require("../shared");
exports.Radio = react_schema_renderer_1.connect({
    valueName: 'checked',
    getProps: shared_1.mapStyledProps
})(radio_1.default);
exports.Radio.Group = react_schema_renderer_1.connect({
    getProps: shared_1.mapStyledProps,
    getComponent: shared_1.mapTextComponent
})(shared_1.transformDataSourceKey(radio_1.default.Group, 'options'));
exports.default = exports.Radio;
