"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("@formily/antd");
var time_picker_1 = require("./time-picker");
var transfer_1 = require("./transfer");
var switch_1 = require("./switch");
var array_cards_1 = require("./array-cards");
var array_table_1 = require("./array-table");
var checkbox_1 = require("./checkbox");
var date_picker_1 = require("./date-picker");
var input_1 = require("./input");
var number_picker_1 = require("./number-picker");
var password_1 = require("./password");
var radio_1 = require("./radio");
var range_1 = require("./range");
var rating_1 = require("./rating");
var upload_1 = require("./upload");
exports.setup = function () {
    antd_1.registerFormFields({
        time: time_picker_1.TimePicker,
        timerange: time_picker_1.TimePicker.RangePicker,
        transfer: transfer_1.Transfer,
        boolean: switch_1.Switch,
        array: array_cards_1.ArrayCards,
        cards: array_cards_1.ArrayCards,
        table: array_table_1.ArrayTable,
        checkbox: checkbox_1.Checkbox.Group,
        date: date_picker_1.DatePicker,
        daterange: date_picker_1.DatePicker.RangePicker,
        year: date_picker_1.DatePicker.YearPicker,
        month: date_picker_1.DatePicker.MonthPicker,
        week: date_picker_1.DatePicker.WeekPicker,
        string: input_1.Input,
        textarea: input_1.Input.TextArea,
        number: number_picker_1.NumberPicker,
        password: password_1.Password,
        radio: radio_1.Radio.Group,
        range: range_1.Range,
        rating: rating_1.Rating,
        upload: upload_1.Upload
    });
};
