import React from 'react';
import { IVirtualBoxProps } from '@formily/react-schema-renderer';
import { TabPaneProps } from 'antd/lib/tabs';
import { IFormTab } from '../types';
declare enum StateMap {
    ON_FORM_TAB_ACTIVE_KEY_CHANGE = "onFormTabActiveKeyChange"
}
declare const EffectHooks: {
    onTabActiveKeyChange$: (...args: any[]) => import("rxjs/internal/Observable").Observable<{
        name?: string;
        path?: string;
        value?: any;
    }>;
};
declare type ExtendsProps = StateMap & typeof EffectHooks & {
    TabPane: React.FC<IVirtualBoxProps<TabPaneProps>>;
};
export declare const FormTab: React.FC<IVirtualBoxProps<IFormTab>> & ExtendsProps;
export default FormTab;
