"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) {
        Object.defineProperty(cooked, "raw", { value: raw });
    }
    else {
        cooked.raw = raw;
    }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function (t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s)
                if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var react_1 = __importDefault(require("react"));
var react_schema_renderer_1 = require("@formily/react-schema-renderer");
var card_1 = __importDefault(require("antd/lib/card"));
var styled_components_1 = __importDefault(require("styled-components"));
exports.FormBlock = react_schema_renderer_1.createVirtualBox('block', styled_components_1.default(function (_a) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    return (react_1.default.createElement(card_1.default, __assign({ className: className, size: "small" }, props), children));
})(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    margin-bottom: 10px !important;\n    &.ant-card {\n      border: none;\n      box-shadow: none;\n    }\n  "], ["\n    margin-bottom: 10px !important;\n    &.ant-card {\n      border: none;\n      box-shadow: none;\n    }\n  "]))));
exports.default = exports.FormBlock;
var templateObject_1;
