"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function (t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s)
                if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var react_1 = __importDefault(require("react"));
var antd_1 = require("@formily/antd");
var react_schema_renderer_1 = require("@formily/react-schema-renderer");
var row_1 = __importDefault(require("antd/lib/row"));
exports.FormGridRow = react_schema_renderer_1.createVirtualBox('grid-row', function (props) {
    var title = props.title, label = props.label;
    var grids = react_1.default.createElement(row_1.default, __assign({}, props), props.children);
    if (title || label) {
        return (react_1.default.createElement(antd_1.AntdSchemaFieldAdaptor, __assign({}, antd_1.pickFormItemProps(props)), grids));
    }
    return grids;
});
exports.default = exports.FormGridRow;
