"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function (t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s)
                if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var react_1 = __importDefault(require("react"));
var antd_1 = require("@formily/antd");
var react_schema_renderer_1 = require("@formily/react-schema-renderer");
var classnames_1 = __importDefault(require("classnames"));
exports.FormLayout = react_schema_renderer_1.createVirtualBox('layout', function (props) {
    var inline = antd_1.useDeepFormItem().inline;
    var isInline = props.inline || inline;
    var children = isInline || props.className || props.style ? (react_1.default.createElement("div", { className: classnames_1.default(props.className, {
            'ant-form ant-form-inline': isInline
        }), style: props.style }, props.children)) : (props.children);
    return react_1.default.createElement(antd_1.FormItemDeepProvider, __assign({}, props), children);
});
exports.default = exports.FormLayout;
