"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_schema_renderer_1 = require("@formily/react-schema-renderer");
var input_1 = __importDefault(require("antd/lib/input"));
var shared_1 = require("../shared");
exports.Input = react_schema_renderer_1.connect({
    getProps: shared_1.mapStyledProps,
    getComponent: shared_1.mapTextComponent
})(shared_1.acceptEnum(input_1.default));
exports.Input.TextArea = react_schema_renderer_1.connect({
    getProps: shared_1.mapStyledProps,
    getComponent: shared_1.mapTextComponent
})(shared_1.acceptEnum(input_1.default.TextArea));
exports.default = exports.Input;
